MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024415Open CASCADE[OCCT] OCCT:Samplespublic2013-11-28 17:242014-05-05 13:37
Reportervdn 
Assigned Todbp 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024415: Update QT samples
DescriptionUpdate QT samples for current state of OCCT.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0027000)
vdn (developer)
2013-11-29 12:43

Issue was resolved please review changes in branch CR24415
(0027140)
abv (manager)
2013-12-10 09:48

Please check whether the changed code works with Qt 4. If not, we will need to adapt the code so as top work with both Qt 5 and Qt 4 (e.g. add "typedef QMdiArea QWorkspace;" for Qt 5 in some common header file).
(0027399)
sdv (developer)
2014-01-08 18:02

Dear abv,
Please check branch CR24415.
(0027403)
abv (manager)
2014-01-09 09:10

I have rebased branch on the current master and made some minor corrections to environment and PRO files so as to use current path as location of sample code instead of hard-coding it, and simplifying PRO files, pushed to branch CR24415_1, please check.

When running generation-vc-projects.bat with Qt 4.6.2, I get the following warnings:

Project MESSAGE: Warning: unknown QT: widgets
Project MESSAGE: Warning: unknown QT: widgets
WARNING: Failure to find: src\*.h
Project MESSAGE: Warning: unknown QT: widgets
WARNING: Failure to find: src\*.h

When building with MSVC 9 (32 bit), I get compiler warnings:

Warning 7 warning C4189: 'stat' : local variable is initialized but not referenced d:\OCCT670\opencascade-6.7.0\samples2\qt\Interface\src\Application.cxx 140 IESample
Warning 3 warning C4100: 'aDisplay' : unreferenced formal parameter d:\OCCT670\opencascade-6.7.0\samples2\qt\Common\src\DocumentCommon.cxx 19 IESample
Warning 5 warning C4018: '<' : signed/unsigned mismatch d:\OCCT670\opencascade-6.7.0\samples2\qt\Common\src\ApplicationCommon.cxx 360 IESample

In addition, there are 5 warnings 4996 (use of deprecated C functions); please suppress them by adding compiler option /wd4996
(0027435)
sdv (developer)
2014-01-10 16:21

Dear abv, please check branch CR24415_1.
I have removed all warnings except one.
Warning 3 warning C4100: 'aDisplay' : unreferenced formal parameter d:\OCCT670\opencascade-6.7.0\samples2\qt\Common\src\DocumentCommon.cxx 19 IESample
The point is that variable 'aDisplay' is not used as result of string
#if !defined(_WIN32) && !defined(__WIN32__) && (!defined(__APPLE__) || defined(MACOSX_USE_GLX))
(0027444)
abv (manager)
2014-01-11 17:44

No remarks, please test
(0027501)
bugmaster (administrator)
2014-01-15 16:02

Branch CR24415_1 has been updated.
Some small errors have been removed.

One warning presence in both samples:
..\Common\src\DocumentCommon.cxx(19) : warning C4100: 'aDisplay' : unreferenced formal parameter
(0027609)
bugmaster (administrator)
2014-01-22 16:55

Fix was tested of branch CR24415_CR24479.
There no remarks except:
For example:
After you just start Tutorial application and select MakeBottle button the shape appears but after you select RT button the shape disappears and can not be displayed any means
The same behavior is at IE smple.
(0027641)
bugmaster (administrator)
2014-01-24 15:37

Fix has been integrated to master of occt repository together with issue 0024479

- Issue History
Date Modified Username Field Change
2013-11-28 17:24 vdn New Issue
2013-11-28 17:24 vdn Assigned To => vdn
2013-11-29 12:43 vdn Note Added: 0027000
2013-11-29 12:43 vdn Assigned To vdn => abv
2013-11-29 12:43 vdn Status new => resolved
2013-12-10 09:48 abv Note Added: 0027140
2013-12-10 09:48 abv Assigned To abv => sdv
2013-12-10 09:48 abv Status resolved => assigned
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-01-08 18:02 sdv Note Added: 0027399
2014-01-08 18:03 sdv Assigned To sdv => abv
2014-01-08 18:03 sdv Status assigned => resolved
2014-01-09 09:10 abv Note Added: 0027403
2014-01-09 09:10 abv Assigned To abv => sdv
2014-01-09 09:10 abv Status resolved => assigned
2014-01-10 16:21 sdv Note Added: 0027435
2014-01-10 16:22 sdv Assigned To sdv => abv
2014-01-10 16:22 sdv Status assigned => resolved
2014-01-11 12:06 abv Category OCCT Release:QT => OCCT:Samples
2014-01-11 17:44 abv Note Added: 0027444
2014-01-11 17:44 abv Assigned To abv => bugmaster
2014-01-11 17:44 abv Status resolved => reviewed
2014-01-15 16:02 bugmaster Note Added: 0027501
2014-01-15 16:02 bugmaster Assigned To bugmaster => abv
2014-01-15 16:02 bugmaster Status reviewed => assigned
2014-01-21 12:04 bugmaster Assigned To abv => dbp
2014-01-22 16:54 bugmaster Status assigned => resolved
2014-01-22 16:55 bugmaster Status resolved => reviewed
2014-01-22 16:55 bugmaster Note Added: 0027609
2014-01-22 16:55 bugmaster Status reviewed => tested
2014-01-24 15:37 bugmaster Note Added: 0027641
2014-01-24 15:37 bugmaster Status tested => verified
2014-01-24 15:37 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker